> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Inspiration Job

> Create a new inspiration job by submitting the required parameters. This endpoint queues the job for processing and returns details about the created job.



## OpenAPI

````yaml post /api/inspiration_jobs/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/inspiration_jobs/:
    post:
      tags:
        - inspiration_jobs
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: inspiration_jobs_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/APIGenerationRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/APIGenerationRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/APIGenerationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APICommunityRecipeMediaJob'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    APIGenerationRequest:
      type: object
      properties:
        inspiration_id:
          type: string
          format: uuid
          description: ID of the inspiration.
        input_params:
          description: Parameters for generation
        webhook_url:
          type: string
          format: uri
          description: Webhook URL
      required:
        - input_params
        - inspiration_id
    APICommunityRecipeMediaJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        inspiration_id:
          type: string
          readOnly: true
          description: ID of the inspiration.
        gen_type:
          type: string
          readOnly: true
          description: Generation type of the community recipe.
        status:
          type: string
          readOnly: true
          description: Current status of the generation job.
        failed_reason:
          type: string
          readOnly: true
          description: Reason for failure if the generation failed.
        input_params:
          type: string
          readOnly: true
          description: Parameters for generation
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        output:
          type: string
          readOnly: true
          description: List of generated assets.
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - created_at
        - failed_reason
        - gen_type
        - id
        - input_params
        - inspiration_id
        - output
        - status
        - updated_at
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````